From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Remove all references to close_all_streams/0 in checker
  This predicate does not exist in SWI prolog and is not needed there.
Forwarded: not-needed
--- a/checker/checker.pro
+++ b/checker/checker.pro
@@ -25,8 +25,6 @@
 % DEPENDENCIES
 %###############################################################################
 
-:- use_module(library(file_systems), [close_all_streams/0]).
-
 %###############################################################################
 % TYPES
 %###############################################################################
@@ -82,7 +80,6 @@
 
 runtime_entry(start):-
     startup_sequence,
-    close_all_streams,
     halt(0),
     !.
 %===============================================================================
@@ -94,12 +91,10 @@
 buildsav:-
     zero_defects_reported,
     save_program('checker.sav'),
-    close_all_streams,
     halt(0).
 
 buildsav:-
     report_total_defects,
-    close_all_streams,
     halt(1).
 
 swisav_checker:-
--- a/checker/getdcldat.pro
+++ b/checker/getdcldat.pro
@@ -200,18 +200,15 @@
         write('FAILED: ERROR IN COMMAND LINE SYNTAX'),
         nl,
         !,
-        close_all_streams,
         halt.
 
 process_version:-
     display_header(user_output),
-    close_all_streams,
     halt(0),
     !.
 
 process_help:-
     display_help(user_output),
-    close_all_streams,
     halt(0),
     !.
 
@@ -242,7 +239,6 @@
            write(' does not exist or cannot be read.'),
            nl,                                                  /* CFR014 */
            !,                                                   /* CFR014 */
-           close_all_streams,
            halt                                                 /* CFR014 */
         ),                                                      /* CFR014 */
         !,                                                      /* CFR014 */
@@ -261,7 +257,6 @@
            write(' does not exist or cannot be read.'),
            nl,                                                  /* CFR014 */
            !,                                                   /* CFR014 */
-           close_all_streams,
            halt                                                 /* CFR014 */
         ),                                                      /* CFR014 */
         !,                                                      /* CFR014 */
--- a/checker/infer2.pro
+++ b/checker/infer2.pro
@@ -432,7 +432,6 @@
     write(' does not exist or cannot be read.'),
     nl,
     !,
-    close_all_streams,
     halt.
 
 /*** HAS_MATCHING_RULENAME(FNAME) - there's a rule of chosen name in FNAME ***/
--- a/checker/loadvc5.pro
+++ b/checker/loadvc5.pro
@@ -57,7 +57,6 @@
         (
            atom(FILE),
            FILE = forceexit,
-           close_all_streams,
            halt
         ;
            done__resume,
@@ -179,7 +178,6 @@
               perform_script_file(CMDLOG),
               write('Aborted: Cannot set command_log and execute qualifiers to the same filename.'),
               nl,
-              close_all_streams,
               halt
            ;
               true
@@ -196,7 +194,6 @@
               nl,
               write('Consider renaming the execute log.'),
               nl,
-              close_all_streams,
               halt
            ;
               true
@@ -215,7 +212,6 @@
         nl,
         nl,
         write('File is not writeable.'),
-        close_all_streams,
         halt.
 
 /* Notify user that file already exists, and ask for solution */
@@ -242,7 +238,6 @@
            )
         ;
            ANSWER = no,
-           close_all_streams,
            halt
         ).
 
@@ -835,7 +830,6 @@
         write('CANNOT CONTINUE: Proof session terminated.'),
         nl,
         !,
-        close_all_streams,
         halt.
 
 
@@ -1212,7 +1206,6 @@
            nl,
            write('*** ABORTED: Prolog variables occur in formula.'),
            nl,
-           close_all_streams,
            halt
         ),
         !,
@@ -1222,7 +1215,6 @@
            nl,
            write('*** ABORTED: could not restructure above formula.'),
            nl,
-           close_all_streams,
            halt
         ),
         !,
@@ -1234,7 +1226,6 @@
               write('*** ABORTED: above formula did not typecheck as boolean.'),
               nl,
               !,
-              close_all_streams,
               halt
            )
         ;
@@ -1804,7 +1795,6 @@
         write(' cannot be written.'),
         nl,
         !,
-        close_all_streams,
         halt.
 
 
--- a/checker/prooflogs.pro
+++ b/checker/prooflogs.pro
@@ -42,7 +42,6 @@
         write(' cannot be written.'),
         nl,
         !,
-        close_all_streams,
         halt.
 write_log :-
         tell(user),
--- a/checker/save.pro
+++ b/checker/save.pro
@@ -37,7 +37,6 @@
         write(' cannot be written.'),
         nl,
         !,
-        close_all_streams,
         halt.
 
 
--- a/checker/setflags.pro
+++ b/checker/setflags.pro
@@ -62,7 +62,6 @@
                  write(' cannot be written.'),
                  nl,
                  !,
-                 close_all_streams,
                  halt
               ),
               tell(CLG),                                        /* CFR045 */
--- a/checker/toplevel.pro
+++ b/checker/toplevel.pro
@@ -41,7 +41,6 @@
         asserta(step_number(M)),                                /* CFR005 */
         write_log,                                              /* CFR005 */
         set_exit_status,
-        close_all_streams,
         halt.
 
 /* Check performed in getdcldat to ensure FILE exists and is readable */
--- a/checker/utilities.pro
+++ b/checker/utilities.pro
@@ -155,7 +155,6 @@
                        write(' cannot be written.'),
                        nl,
                        !,
-                       close_all_streams,
                        halt
                     ),
                     tell(L),                                    /* CFR014 */
@@ -425,7 +424,6 @@
                  write(' cannot be written.'),
                  nl,
                  !,
-                 close_all_streams,
                  halt
               ),
               tell(L),                                          /* CFR014 */
